itpp::Packet Class Reference

`#include <itpp/protocol/packet.h>`

Inheritance diagram for itpp::Packet:

## Public Member Functions

| Packet (const int packet_size=0)
| ADD DOCUMENTATION HERE.
virtual | ~Packet ()
| ADD DOCUMENTATION HERE.
void | set_bit_size (int packet_size)
| set size of packet in bits
int | bit_size ()
| get size of packet in bits

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 55 of file packet.h.

## Constructor & Destructor Documentation

## Packet()

itpp::Packet::Packet | ( | const int | packet_size = `0` | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 59 of file packet.h.

References set_bit_size().

## ~Packet()

virtual itpp::Packet::~Packet | ( |  | ) |

inlinevirtual

ADD DOCUMENTATION HERE.

Definition at line 61 of file packet.h.

## Member Function Documentation

## set_bit_size()

void itpp::Packet::set_bit_size | ( | int | packet_size | ) |

inline

set size of packet in bits

Definition at line 64 of file packet.h.

References it_assert.

Referenced by Packet().

## bit_size()

int itpp::Packet::bit_size | ( |  | ) |

inline

get size of packet in bits

Definition at line 67 of file packet.h.

The documentation for this class was generated from the following file:

- itpp/protocol/packet.h

Generated on Mon Jun 10 2024 11:49:39 for IT++ by Doxygen 1.9.8